html {
  min-height: 100%;
  position: relative;
//  scroll-behavior: smooth;
}

body {
  margin-bottom: 5em;
}

footer {
    bottom: 0;
    height: 3rem;
    position: absolute;
    width: 100vw;
    font-family: Roboto, Arial, Helvetica, Tahoma, Verdana;
    font-size:13px;
}

.check{ width: 20px; }

.action-icon{
    width: 16px;
    height: 16px;
    margin-left: 2px;
    margin-right:2px;
}

.logo-image-height {
  height: 60px;
}

.drop-area {
  display: table;
  overflow: hidden;
  width: 100%;
  height: calc(100% - 2em);
//  background: #FFF;
  background-image: url("/common/svg/upload_file.svg");
  background-size: 4em;
  background-repeat: no-repeat;
  background-position: center;
  border: 3px #999 dashed;
  color: #3333FF;
  font-size: 12px;
  font-weight: bold;
  text-align: center;
}

.drop-area.dragover,
.drop-area:active {
  background: #cfc;
  border-color: #9c9;
  color: #9c9;
}

.drop-inner-area {
  display: table-cell;
  vertical-align: middle;
}

.event_img_screen-thumbnail {
  position: absolute;
  width: 89%;
  height: 92%;
  overflow: hidden;
}

.reset_img_background {
  position: absolute;
  right: 0;
  bottom: 0;
}

div[name="trash_img_open"],
div[name="trash_img_comment"],
div[name^="trash_img_description_"] {
  position: absolute;
  right: 3.7em;
  bottom: 0;
}

input[name="trash_img_open"],
input[name="trash_img_comment"],
input[name^="trash_img_description_"] {
	display: none;
}

.fixed_menu {
  position: absolute;
  right: 1em;
  width: 200px;
}

.show-purchase-list{
  height: 300px;
  overflow-x: hidden;
  overflow-y: scroll;
}

.show-item-list{
  height: 200px;
  overflow-x: hidden;
  overflow-y: scroll;
}

.form-signin {
  width: 100%;
  max-width: 330px;
  padding: 15px;
  margin: auto;
}

.form-login {
  width: 100%;
  max-width: 330px;
  padding: 15px;
  margin: auto;
}
/* ----------------- */
/*      以下追加     */
/* ----------------- */
.card-body,
.card-body input{
  font-size: 0.8em;
}

.card-body select{
  font-size: 0.8em;
}

#searchSetting,
#searchSetting input,
#searchSetting select,
#searchSetting textarea,
#showSetting,
#showSetting li,
#showSetting select{
  font-size: 12px;
}

input[type='text'] :not(.card),
input[type='password'] :not(.card){
  padding: 0px;
  height: 30px;
}


#searchSetting select,
#showSetting select{
  padding: 0px;
}

#systemBox{
  vertical-align: top;
  display: inline-block;
  width: 550px;
}

#searchSetting #systemBox{
  vertical-align: top;
  display: inline-block;
  width: 530px;
}

#searchSystemInfo{
  height: 440px;
}

table#kitBox {
  border: none;
  padding: 0px;
  display: inline-block;
  width: 530px;
}

#searchSetting #kitBox{
  display: inline-block;
  width: 530px;
}

#returnBox{
  display: inline-block;
  width: 550px;
}

#posBox{
  vertical-align: top;
  display: inline-block;
  width: 555px;
  height: 238px;
}

#otherBox .checkBox{
  display: block;
}

.red{
  color: red;
}635px;

input[type='button']{
  border: none; 
  background: none;
}

input[type='button']:hover{
  color: blue;
  cursor: pointer;
}

#searchKitInfo{
  height: 440px;
}

#customerBox{
  vertical-align: top;
  display: inline-block;
  width: 555px;
}

#searchSetting #customerBox{
  vertical-align: top;
  display: inline-block;
  width: 530px;
}

#customerBox .checkBox{
  margin-left: 55px;
}

#searchCustomerInfo{
  height: 1390px;
}

#searchMailSendHistory{
  height: 233px;
}


#assessBox{
  display: inline-block;
  width: 530px;
}

#payBox{
  vertical-align: top;
  display: inline-block;
  width: 530px;
}

#searchSetting #otherBox{
  display: inline-block;
  width: 530px;
}

#searchEtc input[type='text']{
  height: 100px;
}

/* --------------- */
/*      table      */
/* --------------- */
table th,
table td{
  font-size: 13px;
}

.detail tr{
  height: 30px;
}

.detail th,
.detail td{
  padding: 0px;
}

.detail th{
  text-align: center;
  font-size: 14px;
  padding: 5px;
}

.detail td input[type='text']{
  height: 38px;
  padding:0px;
  border: none;
  font-size: 11px;
}

.detail td select{
  padding: 0px;
  font-size: 11px;
}

/*--------------------*
        dialog
*--------------------*/
.ui-widget-overlay {
  background: #aaaaaa;
    opacity: .3;
    filter: Alpha(Opacity=30);
}

.ui-datepicker{
  font-size: 15px;
}

.ui-widget select {
  font-family: '游ゴシック','メイリオ';
}

.filter{
  position: fixed;
  top: 0px;
  left: 0px;
  z-index: 100;
  width: 100%;
  height: 100%;
  min-width: 1320px;
  min-height: 550px;
  background-color: #000;
  opacity: 0.4;
}

.mainBody{
  position: fixed;
  box-sizing: border-box;
  top: calc(50% - 275px);
  left: calc(50% - 195px);
  z-index: 500;
  width: 420px;
  height: 500px;
  background: #fff;
  box-shadow: 8px 8px 5px rgba(0,0,0,0.4);
  border-bottom: 2px solid #fff;
  border-radius: 5px;
}

.dialogClose{
  float: right;
}

.breadcrumb{
  background-color: #fff;
}

.bg-rightpain{
  background-color: #ffe;
}

#editor {overflow:scroll; max-height:300px}

.error{
  color: #dc3545;
  background-color: #ffc107;
  font-weight: 900;
}

.success{
  color: #fff;
  background-color: #17a2b8;
  font-weight: 900;
}
